Get all associated cost lists
get
/fscmRestApi/resources/11.13.18.05/pricingStrategies/{PricingStrategyId}/child/associatedCostLists
Request
Path Parameters
-
PricingStrategyId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds associated cost lists according to the primary key.
Finder Variables- PricingStrategyDetailId; integer; Value that uniquely identifies the associated cost list.
- findByCostListAndAssociationDates Finds associated cost lists according to the cost list and association dates.
Finder Variables- AssociationEndDate; string; Finds cost list and association dates according to the end date.
- AssociationPrecedence; integer; Finds cost list and association dates according to precedence.
- AssociationStartDate; string; Finds cost list and association dates according to the start date.
- CostListName; string; Finds cost list and association dates according to the cost list name.
- PrimaryKey Finds associated cost lists according to the primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AssociationEndDate; string; Date when the association of the cost list to the pricing strategy becomes inactive.
- AssociationPrecedence; integer; Precedence of the association of the cost list to the pricing strategy.
- AssociationStartDate; string; Date when the association of the cost list to the pricing strategy becomes active.
- BusinessUnit; string; Name of the business unit.
- BusinessUnitId; integer; Value that uniquely identifies the business unit.
- CostListId; integer; Value that uniquely identifies the cost list.
- CostListName; string; Name of the cost list.
- CreatedBy; string; User who created the record.
- CreationDate; string; Date and time when the user created the record.
- Currency; string; Currency that the cost list uses.
- CurrencyCode; string; Abbreviation that identifies the currency of the cost list.
- Description; string; Description of the cost list.
- EndDate; string; Date when the cost list becomes inactive.
- LastUpdateDate; string; Date and time when the user most recently updated the record.
- LastUpdatedBy; string; User who most recently updated the record.
- PricingStrategyDetailId; integer; Value that uniquely identifies the pricing strategy detail.
- PricingStrategyId; integer; Value that uniquely identifies the pricing strategy.
- StartDate; string; Date when the cost list becomes active.
- Status; string; Status that indicates whether this cost list is approved.
- StatusCode; string; Abbreviation that identifies the approval status of the cost list.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : pricingStrategies-associatedCostLists
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : pricingStrategies-associatedCostLists-item-response
Type:
Show Source
object-
AssociationEndDate: string
(date-time)
Title:
End DateDate when the association of the cost list to the pricing strategy becomes inactive. -
AssociationPrecedence: integer
(int64)
Title:
PrecedencePrecedence of the association of the cost list to the pricing strategy. -
AssociationStartDate: string
(date-time)
Title:
Start DateDate when the association of the cost list to the pricing strategy becomes active. -
BusinessUnit: string
Read Only:
trueMaximum Length:255Name of the business unit. -
BusinessUnitId: integer
(int64)
Title:
Business UnitRead Only:trueValue that uniquely identifies the business unit. -
CostListId: integer
(int64)
Value that uniquely identifies the cost list.
-
CostListName: string
Maximum Length:
255Name of the cost list. -
costLists: array
Cost Lists
Title:
Cost ListsA collection of costs for items. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the record. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the user created the record. -
Currency: string
Read Only:
trueMaximum Length:255Currency that the cost list uses. -
CurrencyCode: string
Title:
CurrencyRead Only:trueMaximum Length:15Abbreviation that identifies the currency of the cost list. -
Description: string
Title:
DescriptionRead Only:trueMaximum Length:1000Description of the cost list. -
DFF: array
DFF
-
EndDate: string
(date-time)
Title:
End DateRead Only:trueDate when the cost list becomes inactive. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the user most recently updated the record. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PricingStrategyDetailId: integer
(int64)
Value that uniquely identifies the pricing strategy detail.
-
PricingStrategyId: integer
(int64)
Read Only:
trueValue that uniquely identifies the pricing strategy. -
StartDate: string
(date-time)
Title:
Start DateRead Only:trueDate when the cost list becomes active. -
Status: string
Read Only:
trueMaximum Length:255Status that indicates whether this cost list is approved. -
StatusCode: string
Title:
StatusRead Only:trueMaximum Length:30Abbreviation that identifies the approval status of the cost list.
Nested Schema : Cost Lists
Type:
arrayTitle:
Cost ListsA collection of costs for items.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : pricingStrategies-associatedCostLists-costLists-item-response
Type:
Show Source
object-
BusinessUnit: string
Maximum Length:
255Name of the business unit. -
BusinessUnitId: integer
(int64)
Title:
Business UnitValue that uniquely identifies the business unit. -
ChargeDefinition: string
Maximum Length:
255Name of the pricing charge definition. -
ChargeDefinitionCode: string
Maximum Length:
255Abbreviation that identifies the pricing charge definition of the cost list. -
ChargeDefinitionId: integer
(int64)
Value that uniquely identifies the pricing charge definition.
-
CostElement: string
Maximum Length:
255Name of the cost element. -
CostElementCode: string
Maximum Length:
30Abbreviation that identifies the cost element for the cost list. -
CostListDescription: string
Title:
DescriptionMaximum Length:1000Description of the cost list. -
CostListId: integer
(int64)
Value that uniquely identifies the cost list.
-
CostListName: string
Title:
NameMaximum Length:80Name of the cost list. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the record. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the record was created. -
Currency: string
Maximum Length:
255Currency of the cost list. -
CurrencyCode: string
Title:
CurrencyMaximum Length:15Abbreviation that identifies the currency of the cost list. -
EndDate: string
(date-time)
Title:
End DateDate when the record becomes inactive. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the application most recently updated the record. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
StartDate: string
(date-time)
Title:
Start DateDate when the record becomes effective.. -
Status: string
Maximum Length:
255Status of the cost list. -
StatusCode: string
Title:
StatusMaximum Length:30Default Value:IN_PROGRESSAbbreviation for the status of the cost list.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : pricingStrategies-associatedCostLists-DFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:150Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PricingStrategyDetailId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source